## org.omg.IIOP
Class ListenPointListHelper

    java.lang.Object
      |
      +--org.omg.IIOP.ListenPointListHelper

public class ListenPointListHelper
extends java.lang.Object

Helper class for : ListenPointList

Author:
  OpenORB Compiler

Constructor Summary
`ListenPointListHelper()`

Method Summary
`static ListenPoint[]` `extract(Any a)` Extract ListenPointList from an any
`static java.lang.String` `id()` Return the ListenPointList IDL ID
`static void` `insert(Any a, ListenPoint[] t)` Insert ListenPointList into an any
`static ListenPoint[]` `read(InputStream istream)` Read ListenPointList from a marshalled stream
`static TypeCode` `type()` Return the ListenPointList TypeCode
`static void` `write(OutputStream ostream, ListenPoint[] value)` Write ListenPointList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenPointListHelper

    public ListenPointListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ListenPoint[] t)

  Insert ListenPointList into an any
  Parameters:
    `a` - an any
    `t` - ListenPointList value

### extract

    public static ListenPoint[] extract(Any a)

  Extract ListenPointList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ListenPointList value

### type

    public static TypeCode type()

  Return the ListenPointList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ListenPointList IDL ID
  Returns:
    an ID

### read

    public static ListenPoint[] read(InputStream istream)

  Read ListenPointList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ListenPointList value

### write

    public static void write(OutputStream ostream,
                             ListenPoint[] value)

  Write ListenPointList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ListenPointList value